Release LXQt 0.14.0

The LXQt team is proud to announce the release of LXQt 0.14.0, the Lightweight Qt Desktop Environment.

The LXQt team is working hard towards LXQt 1.0.0. Want to help us? Found any bugs? Please file bug reports and pull requests on our GitHub tracker!

The release can be downloaded at downloads.lxqt.org or Github.

Highlights

  • Split view is added to pcmanfm-qt. pcmanfm-qt handles desktop and also mounts more efficiently by benefiting from the improvements in libfm-qt.
  • Now, Desktop can have icons like Computer, Network, User-Dir and Trash, the Trash icon being interactive.
  • Render image EXIF data and new upload target (ImgBB) for lximage-qt
  • Custom terminal margins and history-based tab switching are added to qterminal.
  • All packages received massive translation updates.

Notes For Packagers

  • Please follow theĀ build order.
  • We now depend on cmake_minimum_required 3.1.0 and lxqt-build-tools 0.6.0
  • We now depend on C++ ISO Standard 14, removed support for < 14
  • We moved all translations back to the repositories where they belong to – lxqt-l10n is deprecated and abandoned.

Read the full release notes here

Release LXQt 0.13.0

The LXQt team is proud to announce the release of LXQt 0.13.0, the Lightweight Qt Desktop Environment.

The LXQt team is working hard towards LXQt 1.0.0. Want to help us? Found any bugs? Please file bug reports and pull requests on our GitHub tracker!

The release can be downloaded at downloads.lxqt.org or Github.

Highlights

  • All packages are ready for Qt 5.11.
  • Out-of-source-builds are now mandatory.
  • libfm-qt is made more self-sufficient and less dependent on libfm, resulting in better performance and more flexibility.
  • qps and screengrab have been moved to the LXQt umbrella.
  • Improved overall translations.
  • Made menu-cached optional (default=off) in panel and runner to prevent memory leaks and to avoid problems when restarting or shutting down LXQt.
  • Improved LXQtCompilerSettings.
  • Our (upstream) configuration defaults were moved to `/usr/share/lxqt`, distribution’s overrides can be placed into `/etc/lxqt`

Notes For Packagers

  • Please follow the build order.
  • Please note that our repos are moved to GitHub/lxqt. Mentions and links should point at the new location.
  • lxqt-build-tools >= 0.5.0 is mandatory and should be packaged directly after libqtxdg.
  • All lxqt-* packages depend on liblxqt >= 0.9.0.
  • libfm-qt soname bumped from libfm-qt3 to libfm-qt5.
  • liblxqt now build-depend on libpolkit-qt5-1 directly.
  • lxqt-admin now build-depend on libpolkit-qt5-1 directly.
  • lximage-qt, lxqt-qtplugin pcmanfm-qt depend on libfm-qt >= 0.13.0.
  • qterminal depends on qtermwidget >= 0.9.0.

Read the full release notes here